Subject: [PATCH] clk: ti: fix flag space conflict with clkctrl clocks

From: [email-masked] (Tony Lindgren)
Date: Tue, 27 Mar 2018 13:55:10 -0700

* Tero Kristo <[email-masked]> [180327 17:48]:
> The introduction of support for CLK_SET_RATE_PARENT flag for clkctrl
> clocks used a generic clock flag, which causes a conflict with the
> rest of the clkctrl flags, namely the NO_IDLEST flag. This can cause
> boot failures on certain platforms where this flag is introduced, by
> omitting the wait for the clockctrl module to be fully enabled before
> proceeding with rest of the code.
> 
> Fix this by moving all the clkctrl specific flags to their own bit-range.
> 
> Signed-off-by: Tero Kristo <[email-masked]>
> Fixes: 49159a9dc3da ("clk: ti: add support for CLK_SET_RATE_PARENT flag")
> Reported-by: Christophe Lyon <[email-masked]>

I boot tested this on am437x-idk and bbb with multi_v7_defconfig, so:

Tested-by: Tony Lindgren <[email-masked]>